List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/silobags \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/silobags"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/silobags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/silobags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 8,
"code": "766code",
"date_extracted": "2019-05-13T12:18:41-03:00",
"silobag_longitude": "55.000",
"rebagged": false,
"semaphore": 3,
"latitude": "-32.93489339",
"longitude": "-60.65658509",
"observations": null,
"created_at": "2019-05-06T15:56:09-03:00",
"modified_at": "2019-05-06T15:56:08-03:00",
"deleted_at": null,
"active": true
},
{
"id": 36,
"code": "374code",
"date_extracted": "2019-05-15T00:00:00-03:00",
"silobag_longitude": null,
"rebagged": false,
"semaphore": 2,
"latitude": "-32.93476631",
"longitude": "-60.65671251",
"observations": null,
"created_at": "2019-05-13T10:46:05-03:00",
"modified_at": "2019-05-13T10:46:05-03:00",
"deleted_at": null,
"active": true
},
{
"id": 39,
"code": "290code",
"date_extracted": "2019-05-14T09:54:49-03:00",
"silobag_longitude": null,
"rebagged": false,
"semaphore": 1,
"latitude": "-32.93468300",
"longitude": "-60.65667716",
"observations": null,
"created_at": "2019-05-14T10:54:02-03:00",
"modified_at": "2019-05-14T10:54:01-03:00",
"deleted_at": null,
"active": true
},
{
"id": 59,
"code": "677",
"date_extracted": "2019-05-20T15:06:53-03:00",
"silobag_longitude": null,
"rebagged": false,
"semaphore": 2,
"latitude": null,
"longitude": null,
"observations": null,
"created_at": "2019-05-20T15:10:46-03:00",
"modified_at": "2019-05-20T15:10:46-03:00",
"deleted_at": null,
"active": true
},
{
"id": 62,
"code": "612c",
"date_extracted": "2019-05-20T17:13:30-03:00",
"silobag_longitude": null,
"rebagged": false,
"semaphore": 2,
"latitude": null,
"longitude": null,
"observations": null,
"created_at": "2019-05-21T01:02:05-03:00",
"modified_at": "2019-05-21T01:02:05-03:00",
"deleted_at": null,
"active": true
},
{
"id": 63,
"code": "879",
"date_extracted": "2019-05-29T17:31:00-03:00",
"silobag_longitude": null,
"rebagged": false,
"semaphore": 1,
"latitude": null,
"longitude": null,
"observations": null,
"created_at": "2019-05-21T01:02:06-03:00",
"modified_at": "2019-05-21T01:02:06-03:00",
"deleted_at": null,
"active": true
},
{
"id": 225,
"code": "165code",
"date_extracted": "2019-06-18T17:28:43-03:00",
"silobag_longitude": null,
"rebagged": false,
"semaphore": 2,
"latitude": null,
"longitude": null,
"observations": null,
"created_at": "2019-06-19T02:00:08-03:00",
"modified_at": "2019-06-19T02:00:07-03:00",
"deleted_at": null,
"active": true
},
{
"id": 248,
"code": "759code",
"date_extracted": null,
"silobag_longitude": null,
"rebagged": false,
"semaphore": 2,
"latitude": null,
"longitude": null,
"observations": null,
"created_at": "2019-06-28T16:20:16-03:00",
"modified_at": "2019-06-28T16:20:16-03:00",
"deleted_at": null,
"active": true
},
{
"id": 249,
"code": "834code",
"date_extracted": null,
"silobag_longitude": "60.000",
"rebagged": false,
"semaphore": 1,
"latitude": null,
"longitude": null,
"observations": null,
"created_at": "2019-07-08T18:27:25-03:00",
"modified_at": "2019-07-08T18:27:24-03:00",
"deleted_at": null,
"active": true
},
{
"id": 250,
"code": "511code",
"date_extracted": "2019-07-18T00:00:00-03:00",
"silobag_longitude": null,
"rebagged": false,
"semaphore": 2,
"latitude": null,
"longitude": null,
"observations": null,
"created_at": "2019-07-08T18:27:25-03:00",
"modified_at": "2019-07-08T18:27:25-03:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 5,
"total_items": 44
}Version 3 > SIlo Bag
List
GET
/
api
/
v3
/
third_party
/
silobags
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

